<%@ page contentType="text/html; charset=utf-8"%>
<%@ page import="java.util.Date" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.security.MessageDigest" %>
<%@ page import="org.apache.commons.codec.binary.Hex" %>
<%
/*
*******************************************************
* <결제요청 파라미터>
* 결제시 Form 에 보내는 결제요청 파라미터입니다.
*******************************************************
*/
String merchantID 		= "발급받은 상점 ID"; 				// 상점아이디
String goodsNm	 		= "테스트상품";	 					// 결제상품명
String goodsAmt			= "1004"; 						// 결제상품금액	
String ordNm 			= "PGTEST";						// 구매자명
String ordTel 			= "01000000000"; 				// 구매자연락처
String ordEmail 		= "abcd@zxcv.com";				// 구매자메일주소
String ordNo 			= "test1234567890"; 			// 상품주문번호	
String returnURL 		= "/payResultSample_keyin.jsp";	// 결과페이지

%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta http-equiv="Cache-Control" content="no-cache" />
<meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0, minimum-scale=1.0, maximum-scale=3.0">
<title>결제 TEST</title>
</head>
<body>
<script type="text/javascript">
function doPaySubmit(){
	document.payInit.submit();
}
</script>
<div style="text-align:center;">
<div id="sampleInput" class="paypop_con" style="padding:20px 15px 35px 15px;display: inline-block;float: inherit;">
<p class="square_tit mt0" style="text-align:left;"><strong>결제정보</strong></p>
<form name="payInit" method="post" action="<%=returnURL%>">
	<table class="tbl_sty02">
		<tr>
			<td>결제수단</td>
			<td><input type="text" name="payMethod" value="card"></td>
		</tr>
		<tr>
			<td>결제방법선택</td>
			<td><input type="text" name="mid" value="<%=merchantID%>"></td>
		</tr>
		<!-- <tr>
			<td>카드사</td>
			<td>				
				<select id="selCard" name="cpCd">
					<option value="01">비씨</option>
					<option value="02">국민</option>
					<option value="03">하나</option>
					<option value="04">삼성</option>
					<option value="06">신한</option>
					<option value="07">현대</option>
					<option value="08">롯데</option>
					<option value="12">농협</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>카드구분</td>
			<td>
				<input type="radio" name="cardTypeCd" value="01" checked>개인
				<input type="radio" name="cardTypeCd" value="02">법인
			</td>
		</tr> -->
		<tr>
			<td>카드번호</td>
			<td><input type="text" name="cardNo" value="" maxlength="16"></td>
		</tr>
		<tr>
			<td>유효기간(년도(2자리)+월(2자리))</td>
			<td><input type="text" name="expireYymm" value="" maxlength="4" placeholder="yymm(2403)"></td>
		</tr>
		<tr>
			<td>생년월일</td>
			<td><input type="text" name="ordAuthNo" value="" maxlength="6"></td>
		</tr>
		<tr>
			<td>비밀번호 앞 두자리</td>
			<td><input type="password" name="cardPw" value="" maxlength="2"></td>
		</tr>
		<tr>
			<td>할부개월</td>
			<td>				
				<select id="selQuota" name="quotaMon">
					<option value="00">일시불</option>
					<option value="02">2개월</option>
					<option value="03">3개월</option>
					<option value="04">4개월</option>
					<option value="05">5개월</option>
					<option value="06">6개월</option>
					<option value="07">7개월</option>
					<option value="08">8개월</option>
					<option value="09">9개월</option>
					<option value="10">10개월</option>
					<option value="11">11개월</option>
					<option value="12">12개월</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>상품명</td>
			<td><input type="text" name="goodsNm" value="<%=goodsNm%>"></td>
		</tr>
		<tr>
			<td>주문번호</td>
			<td><input type="text" name="ordNo" value="<%=ordNo%>"></td>
		</tr>
		<tr>
			<td>결제금액</td>
			<td><input type="text" name="goodsAmt" value="<%=goodsAmt%>"></td>
		</tr>
		<tr>
			<td>구매자명</td>
			<td><input type="text" name="ordNm" value="<%=ordNm%>"></td>
		</tr>
		<tr>
			<td>구매자연락처</td>
			<td><input type="text" name="ordTel" value="<%=ordTel%>"></td>
		</tr>
		<tr>
			<td>구매자이메일</td>
			<td><input type="text" name="ordEmail" value="<%=ordEmail%>"></td>
		</tr>
		<tr>
			<td>notiURL</td>
			<td><input type="text" name="notiUrl" value=""></td>
		</tr>
	</table>
	<!-- 옵션 --> 
	<input type="hidden" name="userIp"	value="127.0.0.1">
	<input type="hidden" name="trxCd"	value="0">
		
	<input type="hidden" name="mbsReserved" value="MallReserved"><!-- 상점 예약필드 -->
	
	<!-- <input type="hidden" name="goodsSplAmt" value="0"> -->
	<!-- <input type="hidden" name="goodsVat" value="0"> -->
	<!-- <input type="hidden" name="goodsSvsAmt" value="0"> -->
	
	<input type="hidden" name="charSet" value="UTF-8">
	<!-- <input type="hidden" name="period" value="별도 제공기간없음"> -->
	
</form>	
	<a href="#;" id="payBtn" class="btn_sty01 bg01" style="margin:15px;" onClick="doPaySubmit();">결제하기</a>
	</div>
</div>
</body>
</html>